<?php
 // niByLog.title.generator 1.0.0 (c) MiMaS 2003 -->

 // *** konfiguracja:
 
 $niByLog_dir = 'nibylog/';
 // zmienna wskazujaca polozenie zainstalowanego niByLoga
 // sciezka wzgledna


 // Zdefiniowane ponizej zmienne $nblt_szablon['...'] okreslaja szablony
 // generowanych tytulow stron. W szablonach tych mozna stosowac
 // makrodefinicje, ktore zostana zastapione przez odpowiednie dane
 // w zaleznosci od kontekstu.
 // Dostepne makrodefinicje:
 //
 // @blog - nazwa bloga
 // @id - identyfikator wpisu
 // @tytul - tytul wpisu
 // @kategoria - kategoria (opisowa) wpisu
 // @yy - rok cyfra
 // @mm - miesiac cyfra
 // @mc - miesiac slownie (mianownik, np. 'stycze')
 // @ma - miesiac slownie (dopeniacz, np. 'stycznia')
 // @ww - tydzien cyfra
 // @dd - dzien cyfra
 // @hh - godzina wpisu
 // @mi - minuta wpisu
 // @ss - sekunda wpisu
 // @plugin - nazwa (opisowa) plugina
 // @query - wyszukiwane slowo
 // @user - nazwa (login) uzytkownika
 //
 // Ponizsze przykladowe szablony mozna dostosowac do wlasnych wymagan

 // strona glowna bloga
 $nblt_szablon['main'] = '@blog';

 // strona z jednym wybranym wpisem
 $nblt_szablon['wpis'] = "@blog : @tytul (@dd.@mm.@yy @hh:@mi)";

 // strona z archiwum wpisow
 $nblt_szablon['archiwum'] = "@blog : archiwum";

 // strona z wpisamy z wybranego miesiaca
 $nblt_szablon['miesiac'] = "@blog : @mc @yy";

 // strona z wpisami z wybranego tygodnia
 $nblt_szablon['tydzien'] = "@blog : @tt tydzien roku @yy";

 // strona z wpisami z wybranego dnia
 $nblt_szablon['dzien'] = "@blog : @dd @ma @yy";

 // strona w wpisami wybranej kategorii
 $nblt_szablon['kategoria'] = "@blog : @kategoria";

 // strona w wpisami wybranego uzytkownika
 $nblt_szablon['user'] = "@blog : wpisy uytkownia @user";

 // strona z komentarzami do wybranego wpisu
 $nblt_szablon['komentarze'] = "@blog : @tytul (komentarze)";

 // strona z wynikami wyszukiwania
 $nblt_szablon['wyniki'] = "@blog : wyniki wyszukiwania '@query'";

 // strona z pluginem
 $nblt_szablon['plugin'] = "@blog : @plugin";

 // *** koniec konfiguracji
 // *** prosze nie modyfikowac kodu ponizej tej linii


/* historia wersji

1.0.0 (2003.09.18)
[!] premiera

*/

 if ( isset($niByLog_dir) )
 {
    if ( !isset($niByLog_data_folder) )
      require( './'.$niByLog_dir.'config.php' );

    $plik = file($niByLog_data_folder.'/config');
    $config = unserialize(base64_decode($plik[0]));


    if ( isset($_GET['id']) ) $id = $_GET['id'];
    else if ( isset($HTTP_GET_VARS['id']) ) $id = $HTTP_GET_VARS['id'];

    if ( isset($_GET['kategoria']) ) $kategoria = $_GET['kategoria'];
    else if ( isset($HTTP_GET_VARS['kategoria']) ) $kategoria = $HTTP_GET_VARS['kategoria'];

    if ( isset($_GET['miesiac']) ) $miesiac = $_GET['miesiac'];
    else if ( isset($HTTP_GET_VARS['miesiac']) ) $miesiac = $HTTP_GET_VARS['miesiac'];

    if ( isset($_GET['tydzien']) ) $tydzien = $_GET['tydzien'];
    else if ( isset($HTTP_GET_VARS['tydzien']) ) $tydzien = $HTTP_GET_VARS['tydzien'];

    if ( isset($_GET['dzien']) ) $dzien = $_GET['dzien'];
    else if ( isset($HTTP_GET_VARS['dzien']) ) $dzien = $HTTP_GET_VARS['dzien'];

    if ( isset($_GET['user']) ) $user = $_GET['user'];
    else if ( isset($HTTP_GET_VARS['user']) ) $user = $HTTP_GET_VARS['user'];

    if ( isset($_GET['query']) ) $query = $_GET['query'];
    else if ( isset($HTTP_GET_VARS['query']) ) $query = $HTTP_GET_VARS['query'];

    if ( isset($_GET['cmd']) ) $cmd = $_GET['cmd'];
    else if ( isset($HTTP_GET_VARS['cmd']) ) $cmd = $HTTP_GET_VARS['cmd'];

    if ( isset($_GET['plug']) ) $plug = $_GET['plug'];
    else if ( isset($HTTP_GET_VARS['plug']) ) $plug = $HTTP_GET_VARS['plug'];


    $s['blog'] = $config['cfg_blog_name'];
    $s['id'] = '';
    $s['tytul'] = '';
    $s['kategoria'] = '';
    $s['yy'] = '';
    $s['mm'] = '';
    $s['mc'] = '';
    $s['ma'] = '';
    $s['ww'] = '';
    $s['dd'] = '';
    $s['hh'] = '';
    $s['mi'] = '';
    $s['ss'] = '';
    $s['plugin'] = '';
    $s['query'] = '';
    $s['user'] = '';

    $title = $nblt_szablon['main'];

    $mce = array( '','stycze','luty','marzec','kwiecie','maj','czerwiec','lipiec','sierpie','wrzesie','padziernik','listopad','grudzie' );
    $mca = array( '','stycznia','lutego','marca','kwietnia','maja','czerwca','lipca','sierpnia','wrzenia','padziernika','listopada','grudnia' );


    if ( isset($id) || isset($kategoria) )
    {
      $kat = array();
      $plik = file($niByLog_data_folder.'/kategorie');
      sort($plik);
      reset($plik);
      while ( list($key,$val) = each($plik) )
      {
        $buf = split("\t", $val);
        $kat[$buf[0]] = $buf[1];
        $buf = NULL;
      }
    }

    if ( isset( $miesiac ) )
    {
      $d = explode('/', $miesiac );
      $s['yy'] = $d[0];
      $s['mm'] = sprintf("%02d", $d[1]);
      $s['mc'] = $mce[intval($d[1])];
      $s['ma'] = $mca[intval($d[1])];
      $title = $nblt_szablon['miesiac'];
    }
    else if ( isset( $tydzien ) )
    {
      $d = explode('/', $tydzien );
      $s['yy'] = $d[0];
      $d['ww'] = $d[1];
      $title = $nblt_szablon['tydzien'];
    }
    else if ( isset( $dzien ) )
    {
      $d = explode('/', $dzien );
      $s['yy'] = $d[0];
      $s['mm'] = sprintf("%02d", $d[1]);
      $s['mc'] = $mce[intval($d[1])];
      $s['ma'] = $mca[intval($d[1])];
      $s['dd'] = sprintf("%02d", $d[2]);
      $title = $nblt_szablon['dzien'];
    }
    else if ( isset( $kategoria ) )
    {
      $s['kategoria'] = $kat[$kategoria];
      $title = $nblt_szablon['kategoria'];
    }
    else if ( isset( $user ) )
    {
      $s['user'] = $user;
      $title = $nblt_szablon['user'];
    }
    else if ( isset( $query ) )
    {
      $s['query'] = strip_tags($query);
      $title = $nblt_szablon['wyniki'];
    }

    if ( isset( $id ) )
    {
      $s['id'] = $id;

      $plik = file($niByLog_data_folder.'/nibylog');
      for ( $i = 0; $i < sizeof($plik); $i++ )
      {
        $wpis = split("\t", $plik[$i]);
        if ( $wpis[0] == $id )
        {
          if ( count( split("\t", $plik[0]) ) <= 5 )
          {
            $s['kategoria'] = '';
            $s['user'] = $wpis[1];
            $s['tytul'] = $wpis[2];
          } else {
            $s['kategoria'] = $kat[$wpis[1]];
            $s['user'] = $wpis[2];
            $s['tytul'] = $wpis[3];
          }
          break;
        }
      }
      $s['yy'] = date("Y", $id);
      $s['mm'] = sprintf("%02d", date("m", $id));
      $s['mc'] = $mce[intval(date("m", $id))];
      $s['ma'] = $mca[intval(date("m", $id))];
      $s['dd'] = sprintf("%02d", date("d", $id));
      $s['hh'] = date("H", $id);
      $s['mi'] = date("i", $id);
      $s['ss'] = date("s", $id);
      $title = $nblt_szablon['wpis'];
    }

    if ( isset( $cmd ) )
    {
      switch ( $cmd )
      {
        case 'archiwum':
          $title = $nblt_szablon['archiwum'];
          break;
        case 'komentator':
          $title = $nblt_szablon['komentarze'];
          break;
      }
    }

    if ( isset( $plug ) )
    {
      switch ( $plug )
      {
        case 'archiwum':
          $s['plugin'] = 'archiwum';
          $title = $nblt_szablon['archiwum'];
          break;
        case 'komentator':
          $s['plugin'] = 'komentator';
          $title = $nblt_szablon['komentarze'];
          break;
        case 'plaintext':
          $s['plugin'] = 'plaintext';
          $title = $nblt_szablon['plugin'];
          break;
        case 'archiwtab':
          $s['plugin'] = 'archiwum';
          $title = $nblt_szablon['plugin'];
          break;
        case 'kalendarz':
          $s['plugin'] = 'kalendarz wpisw';
          $title = $nblt_szablon['plugin'];
          break;
        case 'nibylogstat':
          $s['plugin'] = 'statystyka wpisw';
          $title = $nblt_szablon['plugin'];
          break;
      }
    }

    $title = str_replace( '@blog', $s['blog'], $title );
    $title = str_replace( '@id', $s['id'], $title );
    $title = str_replace( '@tytul', $s['tytul'], $title );
    $title = str_replace( '@kategoria', $s['kategoria'], $title );
    $title = str_replace( '@yy', $s['yy'], $title );
    $title = str_replace( '@mm', $s['mm'], $title );
    $title = str_replace( '@mc', $s['mc'], $title );
    $title = str_replace( '@ma', $s['ma'], $title );
    $title = str_replace( '@ww', $s['ww'], $title );
    $title = str_replace( '@dd', $s['dd'], $title );
    $title = str_replace( '@hh', $s['hh'], $title );
    $title = str_replace( '@mi', $s['mi'], $title );
    $title = str_replace( '@ss', $s['ss'], $title );
    $title = str_replace( '@plugin', $s['plugin'], $title );
    $title = str_replace( '@query', $s['query'], $title );
    $title = str_replace( '@user', $s['user'], $title );

    echo( $title );
 }
?>
